## cfv 1.16

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,9 @@
 bindir=${exec_prefix}/bin
 mandir=${prefix}/man
 install=/usr/bin/install -c
+install_dir=${install} -d
+install_data=${install} -m 0644
+install_script=${install} -m 0755
 
 foo:
 	@echo 'to install cfv, type make install or install-wrapper.'
@@ -34,24 +37,47 @@
 #this will create a wrapper script that calls python directly (if we can find it), or using the bin/env trick.
 #we don't need to check for PYTHON being set to something, since os.path.join handles the case of the component being an absolute path
 cfv.wrapper:
-	$(PYTHON) -c 'import string,os; py=filter(lambda x: os.path.isfile(x),map(lambda x: os.path.join(x,"$(PYTHON)"),string.split(os.environ["PATH"],":"))); py.append(" /usr/bin/env $(PYTHON)"); open("cfv.wrapper","w").write("#!%s\nimport sys,cfv\ncfv.main(sys.argv[1:])\n"%py[0])'
+	$(PYTHON) -c 'import string,os; py=filter(lambda x: os.path.isfile(x),map(lambda x: os.path.join(x,"$(PYTHON)"),string.split(os.environ["PATH"],":"))); py.append(" /usr/bin/env $(PYTHON)"); open("cfv.wrapper","w").write("#!%s\nimport cfv\ncfv.main()\n"%py[0])'
 
-install-wrapper-only: cfv.wrapper install_man
-	$(install) -m 0644 cfv $(DESTDIR)$(pkgdir)/cfv.py
-	$(install) -m 0755 cfv.wrapper $(DESTDIR)$(bindir)/cfv
+$(DESTDIR)$(mandir)/man1 $(DESTDIR)$(bindir):
+	$(install_dir) $@
+
+install-wrapper-only: $(DESTDIR)$(bindir) cfv.wrapper install_man
+	$(install_data) cfv $(DESTDIR)$(pkgdir)/cfv.py
+	$(install_script) cfv.wrapper $(DESTDIR)$(bindir)/cfv
 
 install-wrapper: install-wrapper-only
 	$(PYTHON) -c "import py_compile; py_compile.compile('$(DESTDIR)$(pkgdir)/cfv.py')" 
 	$(PYTHON) -O -c "import py_compile; py_compile.compile('$(DESTDIR)$(pkgdir)/cfv.py')" 
 
-install: install_man
-	$(install) -m 0755 cfv $(DESTDIR)$(bindir)
+install: $(DESTDIR)$(bindir) install_man
+	$(install_script) cfv $(DESTDIR)$(bindir)/cfv
 
-install_man:
-	$(install) -m 0644 cfv.1 $(DESTDIR)$(mandir)/man1
+install_man: $(DESTDIR)$(mandir)/man1
+	$(install_data) cfv.1 $(DESTDIR)$(mandir)/man1/cfv.1
 
 clean:
 	-rm *.py[co] cfv.wrapper
 
 distclean: clean
-	-rm -r tags test/test.log `find . -regex '.*~\|.*/\.#.*' -o -name CVS`
+	-rm -r cfv.nsi tags test/test.log `find . -regex '.*~\|.*/\.#.*' -o -name CVS -o -name .cvsignore`
+
+distclean-unixsrc: distclean
+	-rm cfv.bat cfv.txt
+
+cfv.txt: %.txt: %.1
+	man -l $< | sed -e 's/.//g' > $@
+
+distclean-winsrc: distclean cfv.txt
+	-rm Makefile cfv.1
+	mv cfv cfv.py
+	todos *.txt COPYING README Changelog cfv.bat cfv.py test/*.py
+
+nsis-prepare: cfv.txt
+	#hahaha, ugly hardcodedhackness
+	cp cfv.txt cfv.nsi ~/mnt/tmp/cfv
+	cp Changelog ~/mnt/tmp/cfv/Changelog.txt
+	cp COPYING ~/mnt/tmp/cfv/COPYING.txt
+	cp cfv ~/mnt/tmp/2exe/cfv.py
+	todos ~/mnt/tmp/cfv/*.txt
+
