=== debian/control ===
Source: cfv
Section: utils
Priority: optional
Maintainer: Stefan Alfredsson <alfs@debian.org>
Build-Depends: python-all (>=2.6.7), debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://cfv.sourceforge.net/

Package: cfv
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: python-imaging, bittorrent | bittornado
Description: versatile file checksum creator and verifier
 cfv is a utility to test and create a wide range of checksum
 verification files. It currently supports testing and creating
 sfv, sfvmd5, csv, csv2, csv4, md5, bsdmd5, torrent and crc files.
 Test-only support is available for par, par2.
