=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/python/python.mk

override_dh_auto_install:
	make install-wrapper-only prefix=/usr mandir=/usr/share/man DESTDIR=debian/cfv
	mv debian/cfv/*.py debian/cfv/usr/share/pyshared/cfv.py

%:
	dh $@ --with python2

# End of file
